#!/bin/sh

# Process filenames as a background task
# Wait before processing so as not to slow down bootup

convertfiles()
{
	(
	sleep 30
	echo ----------------------------------------------------  >> /opt/tmp/convert-ts.log
	echo Recursive File Conversion Initiated from Startup Script >> /opt/tmp/convert-ts.log
	/opt/bin/jimsh /opt/webif/plugin/convertfiles/convertfiles.jim
	) &
}

# Do nothing but delete the logfile in the housekeeper boot
if [ ! -f /opt/etc/HouseKeeper ]
then
	source /opt/webif/plugin/convertfiles/convertfiles.conf
	if [ $RunMode == "AUTO" ]
	then
		convertfiles

	elif [ $RunMode == "ONCE" ]
	then
		rm -f /opt/webif/plugin/convertfiles/convertfiles.conf
		echo "RunMode=OFF" > /opt/webif/plugin/convertfiles/convertfiles.conf
		echo "KeepBackups=$KeepBackups" >> /opt/webif/plugin/convertfiles/convertfiles.conf
		convertfiles
	fi

else
		rm -f /opt/tmp/convert-ts.log
fi
